Problems Installing in Fedora Core 5

For problems with the game

Moderators: bert_the_turtle, jelco, Chris, Icepick, Rkiver, Punisher Bass

nTix
level0
Posts: 5
Joined: Sun May 28, 2006 5:11 pm

Problems Installing in Fedora Core 5

Postby nTix » Mon May 29, 2006 9:39 am

Hi to the list,
I recently installed FC5 and so I tried to install uplink on it. The installation apparently ends fine but, whe I lauch uplink I receive such a message:

Code: Select all

bash-3.1$ uplink
/usr/games/uplink
/usr/games/uplink/lib/uplink.bin.x86: /usr/games/uplink/lib/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)
bash-3.1$

I also installed compat-libstdc++-33 because I thought was a problem of compatibility with gcc4 but nothing.
Someone has some suggestion? thanx a lot and thanx the developers for such a great game!
User avatar
John
Introversion Staff
Introversion Staff
Posts: 471
Joined: Sun Dec 10, 2000 6:22 pm
Location: London, UK

Postby John » Mon May 29, 2006 10:02 am

Hi there nTix

You might have some luck if you move (or delete) uplink/ilb/libgcc_so.1 Please let me know how it goes

Thanks

John
nTix
level0
Posts: 5
Joined: Sun May 28, 2006 5:11 pm

Postby nTix » Mon May 29, 2006 10:32 am

Thank a lot John, when I'll be at home I'll try your solution and give feedback.
nTix
level0
Posts: 5
Joined: Sun May 28, 2006 5:11 pm

Postby nTix » Mon May 29, 2006 2:27 pm

Great, it works! :D :D
I just moved away libgcc_s.so.1 from uplink/lib/ and now uplink start without any problem. Thank a lot John, and thank again all the developers of such a great game for linux!
dgoose
level0
Posts: 5
Joined: Tue Jun 13, 2006 7:07 pm
Location: Lubbock, USA

Postby dgoose » Tue Jun 13, 2006 7:39 pm

Hey guys,
New member, long time lurker and uplink-ophile. I recently added FC5 to my XP machine, and I'm loving every minute of it, problems included. Anyway, I get this error when I try to run uplink:

Code: Select all

[dgoose@localhost uplink]$ ./uplink
.
./lib/uplink.bin.x86: error while loading shared libraries: ./lib/libSDL-1.2.so.0: cannot restore segment prot after reloc: Permission denied
[dgoose@localhost uplink]$

This is after I've tried everything in the Linux FAQ. (ed; fixed typo in link)

Simply put, this fix isn't working for me. Any help is appreciated. In the meantime, I'm going to poke around in stuff, probably reinstall some things and see if I can get anything to work.

--dgoose
Last edited by dgoose on Wed Jun 14, 2006 8:25 pm, edited 1 time in total.
User avatar
frenchfrog
level5
level5
Posts: 2572
Joined: Sun Sep 22, 2002 7:11 pm
Location: Quebec

Postby frenchfrog » Tue Jun 13, 2006 8:44 pm

Don't know if it's relevant but have you tryed to use the staticly linked version?

see http://www.uplink.co.uk/linuxpatch.html
dgoose
level0
Posts: 5
Joined: Tue Jun 13, 2006 7:07 pm
Location: Lubbock, USA

Postby dgoose » Tue Jun 13, 2006 9:25 pm

Thanks for the quick reply.
Just tried both. Uplink still doesn't want to run.
What's interesting though is that after I applied the dynamic patch, I no longer get any error messages when I run it.

Code: Select all

[dgoose@localhost uplink]$ ./uplink
[dgoose@localhost uplink]$

Is there something I'm not understanding about applying the patch(es)?
User avatar
frenchfrog
level5
level5
Posts: 2572
Joined: Sun Sep 22, 2002 7:11 pm
Location: Quebec

Postby frenchfrog » Tue Jun 13, 2006 9:42 pm

try starting uplink +game_debugstart, still will give you more debugging infos, check readme.txt for more infos.

You can post those infos in this thread afterward.
dgoose
level0
Posts: 5
Joined: Tue Jun 13, 2006 7:07 pm
Location: Lubbock, USA

Postby dgoose » Wed Jun 14, 2006 1:27 am

No dice. I'm not finding any debug info anywhere, and it still doesn't print anything in the terminal.
User avatar
frenchfrog
level5
level5
Posts: 2572
Joined: Sun Sep 22, 2002 7:11 pm
Location: Quebec

Postby frenchfrog » Wed Jun 14, 2006 1:45 am

at least, +game_debugstart works on windows, it's been a while since the last time I ran Uplink on Linux,

perhaps someone with a more recent experience can help you more.
dgoose
level0
Posts: 5
Joined: Tue Jun 13, 2006 7:07 pm
Location: Lubbock, USA

Postby dgoose » Wed Jun 14, 2006 6:23 pm

Yeah, hopefully. I still have XP installed so if all else fails I can still play it, I just don't like that I have to boot windows when all I wanted to do in the first place was play a ten minute session of one of my favorite games... Thanks for the effort.
User avatar
John
Introversion Staff
Introversion Staff
Posts: 471
Joined: Sun Dec 10, 2000 6:22 pm
Location: London, UK

Postby John » Wed Jun 14, 2006 7:09 pm

Hi dgoose

Try your original installation of uplink, but this time remove the SDL library in uplink/lib

(you will need to try to use Fedora's own SDL libraries, perhaps yum install SDL?)

Alternatively, perhaps this link might help?

It seems like it might be SElinux that is the problem, try turning it off to see if it helps (Desktop > System Setting > Security Level > SELinux)
dgoose
level0
Posts: 5
Joined: Tue Jun 13, 2006 7:07 pm
Location: Lubbock, USA

Postby dgoose » Wed Jun 14, 2006 10:10 pm

Hi John,

1. I don't have an uplink/lib directory. I've been extracting everything from tar.gz files. This is why I was wondering if there something about the patches that I'm not understanding. Also, I see that there are three versions of the 1.31 patch, The Loki Installer patch (which I don't know how to work), and the two tar.gz patches here. How do I find out which one I need?

2. I did yum install SDL and it came back with nothing to do.

3. And I disabled SELinux just because.
wayne.workman2012
level0
Posts: 1
Joined: Sat Oct 31, 2015 11:24 pm

Re: Problems Installing in Fedora Core 5

Postby wayne.workman2012 » Sat Oct 31, 2015 11:25 pm

Hello,

I'm trying to get Uplink to run on Fedora 22 x64, not having much luck.

Any advice?

Thanks,
Wayne

Return to “Bug Reports”

Who is online

Users browsing this forum: No registered users and 1 guest